## qtcreator-template-dtk 1.1.0

=== Makefile ===
PREFIX = /usr

all:

install:
	mkdir -p $(DESTDIR)$(PREFIX)/share/qtcreator/templates/wizards/projects
	cp -r dtkapplication $(DESTDIR)$(PREFIX)/share/qtcreator/templates/wizards/projects/
	chmod 755 $(DESTDIR)$(PREFIX)/share/qtcreator/templates/wizards/projects/dtkapplication

=== debian/changelog ===
qtcreator-template-dtk (1.1.0-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 19 Feb 2021 17:22:00 +0800

qtcreator-template-dtk (1.0.0-1) unstable; urgency=medium

 * Init

 -- Deepin Package Builder <packages@linuxdeepin.com>  Tue, 27 Nov 2018 10:03:28 +0000

=== debian/control ===
Source: qtcreator-template-dtk
Section: misc
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.8

Package: qtcreator-template-dtk
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: QtCreator template for dtk
 Support for creating a dtk gui project in qtcreator by default.

## qtcreator-template-dtk 1.1.0.1

=== dtkapplication/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

project(%{ProjectName})

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(DtkWidget REQUIRED)

add_executable(${PROJECT_NAME} "%{CppFileName}" resources.qrc)

target_include_directories(%{ProjectName} PUBLIC ${DtkWidget_INCLUDE_DIRS} ${OBJECT_BINARY_DIR})
target_link_libraries(%{ProjectName}
    ${DtkWidget_LIBRARIES}
    ${Qt5Widgets_LIBRARIES}
)

=== debian/changelog ===
qtcreator-template-dtk (1.1.0.1) UNRELEASED; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 14 Jun 2022 17:04:39 +0800

qtcreator-template-dtk (1.1.0.1) unstable; urgency=medium

  * Release 1.1.0.1

 -- Deepin Package Builder <packages@linuxdeepin.com>  Tue, 14 Jun 2022 16:38:30 +0800

## qtcreator-template-dtk 1.1.0.2

=== dtkapplication/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(%{ProjectName} VERSION 1.0.0 LANGUAGES CXX)

# Set C++ standard to C++17 (required for Qt6, compatible with Qt5)
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# Enable Qt's automatic processing
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

# Qt version selection from wizard
option(USE_QT6 "Use Qt6 instead of Qt5" %{JS: %{UseQt6} ? 'ON' : 'OFF'})

# Set Qt version major number
if(USE_QT6)
    set(QT_VERSION_MAJOR 6)
else()
    set(QT_VERSION_MAJOR 5)
endif()

# Configure Qt and DTK based on version
if(QT_VERSION_MAJOR EQUAL 6)
    # Qt6 configuration
    find_package(Qt6 REQUIRED COMPONENTS Core Widgets)
    find_package(Dtk6 REQUIRED COMPONENTS Widget)
    set(DTK_VERSION_MAJOR 6)
else()
    # Qt5 configuration
    find_package(Qt5 REQUIRED COMPONENTS Core Widgets)
    find_package(Dtk REQUIRED COMPONENTS Widget)
    set(DTK_VERSION_MAJOR "")
endif()

# Create executable
add_executable(${PROJECT_NAME} "%{CppFileName}" resources.qrc)

# Set platform-specific properties
set_target_properties(${PROJECT_NAME} PROPERTIES
    WIN32_EXECUTABLE $<PLATFORM_ID:Windows>
    MACOSX_BUNDLE $<PLATFORM_ID:Darwin>
)

# Link libraries
target_link_libraries(${PROJECT_NAME} PRIVATE
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::Widgets
    Dtk${DTK_VERSION_MAJOR}::Widget
)

# Compiler warnings
target_compile_options(${PROJECT_NAME} PRIVATE
    $<$<CXX_COMPILER_ID:MSVC>:/W4>
    $<$<NOT:$<CXX_COMPILER_ID:MSVC>>:-Wall -Wextra -Wpedantic>
)

=== debian/changelog ===
qtcreator-template-dtk (1.1.0.2) unstable; urgency=medium

  * feat: add Qt6 support for DTK application template

 -- YeShanShan <yeshanshan@uniontech.com>  Tue, 29 Jul 2025 13:05:50 +0800
